Package wx :: Module html :: Class HtmlEasyPrinting

[frames | no frames]

## Type HtmlEasyPrinting

    object --+
             |
        Object --+
                 |
                HtmlEasyPrinting

Proxy of C++ HtmlEasyPrinting class

Method Summary
HtmlEasyPrinting | `__init__(self, name, parentWindow)`
| `__del__(self)`
PageSetupDialogData | `GetPageSetupData(self)`
PrintData | `GetPrintData(self)`
| `PageSetup(self)`
| `PreviewFile(self, htmlfile)`
| `PreviewText(self, htmltext, basepath)`
| `PrintFile(self, htmlfile)`
| `PrintText(self, htmltext, basepath)`
| `SetFonts(self, normal_face, fixed_face, sizes)`
| `SetFooter(self, footer, pg)`
| `SetHeader(self, header, pg)`
| `SetStandardFonts(self, size, normal_face, fixed_face)`

Property Summary
| `PageSetupData`: See `GetPageSetupData`
| `PrintData`: See `GetPrintData`
| `thisown`: The membership flag

Property Details

### PageSetupData

See `GetPageSetupData`

  Get Method:
    `GetPageSetupData`(self)

### PrintData

See `GetPrintData`

  Get Method:
    `GetPrintData`(self)

### thisown

The membership flag

  Get Method:
    unknown--1218991556(...)
  Set Method:
    unknown--1218991500(...)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:14:32 2007 | http://epydoc.sf.net